﻿/**Begin C:\Users\rd_zhixiong_w\Downloads\PDM_UPGRADE\PDM1\BCR_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCR_BANKUDSET') 
 CREATE TABLE T_BCR_BANKUDSET (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FENABLEDATE DATETIME,
FDISABLEDATE DATETIME,
FDISABLER BIGINT DEFAULT 0 NOT NULL,
FENABLER BIGINT DEFAULT 0 NOT NULL,
FUSERCODE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FUSERPASSWD NVARCHAR(80) DEFAULT ' ' NOT NULL,
FUKEYPASSWD NVARCHAR(80) DEFAULT ' ' NOT NULL,
FUSBHUB NVARCHAR(80) DEFAULT ' ' NOT NULL,
FUSBPORT NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBANK BIGINT DEFAULT 0 NOT NULL,
FUDVERSION NVARCHAR(80) DEFAULT ' ' NOT NULL,
FENTERPRISENO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FUKEYENDDATE DATETIME,
FRETRYLOGINS BIGINT DEFAULT 0 NOT NULL,
FSTOREMAN BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCR_BANKUDSET_ENTRY') 
 CREATE TABLE T_BCR_BANKUDSET_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FACCTBANKID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCR_BANKUDSET_L') 
 CREATE TABLE T_BCR_BANKUDSET_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCR_ROBOTSCHEME') 
 CREATE TABLE T_BCR_ROBOTSCHEME (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FENABLEDATE DATETIME,
FDISABLEDATE DATETIME,
FDISABLER BIGINT DEFAULT 0 NOT NULL,
FENABLER BIGINT DEFAULT 0 NOT NULL,
FCOMMENT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBANKPATH NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDIRPATH NVARCHAR(255) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPROCNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPROCCODE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCLIENTALIAS NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCLIENTID NVARCHAR(80) DEFAULT ' ' NOT NULL,
FEXECUTEUSERID BIGINT DEFAULT 0 NOT NULL,
FPROCID NVARCHAR(80) DEFAULT ' ' NOT NULL,
FAPPSECURET NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCCUSER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCCPASSWORD NVARCHAR(80) DEFAULT ' ' NOT NULL,
FURL NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCR_ROBOTSCHEME_L') 
 CREATE TABLE T_BCR_ROBOTSCHEME_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBANKPATH NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDIRPATH NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCR_ROBOTSCHEME_ENTRY') 
 CREATE TABLE T_BCR_ROBOTSCHEME_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FUSHIELDID BIGINT DEFAULT 0 NOT NULL,
FACCTBANKID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCR_SCHEME_EXE_LOG') 
 CREATE TABLE T_BCR_SCHEME_EXE_LOG (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(80) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FROBOTSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FUSHIELDID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPROCNAME VARCHAR(80) DEFAULT ' ' NOT NULL,
FPROCCODE VARCHAR(80) DEFAULT ' ' NOT NULL,
FCLIENTALIAS VARCHAR(80) DEFAULT ' ' NOT NULL,
FCLIENTID VARCHAR(80) DEFAULT ' ' NOT NULL,
FBANK BIGINT DEFAULT 0 NOT NULL,
FEXECUTESTARTTIME DATETIME,
FEXECUTEENDTIME DATETIME,
FEXECUTEUSERID BIGINT DEFAULT 0 NOT NULL,
FEXESTATUS VARCHAR(80) DEFAULT ' ' NOT NULL,
FQUERYSTARTDATE DATETIME,
FQUERYENDDATE DATETIME,
FLOGURL VARCHAR(80) DEFAULT ' ' NOT NULL,
FTASKID VARCHAR(80) DEFAULT ' ' NOT NULL,
FERRORINFO VARCHAR(1000) DEFAULT ' ' NOT NULL
);



/**End C:\Users\rd_zhixiong_w\Downloads\PDM_UPGRADE\PDM1\BCR_table.sql **/
